(defun c:taper25 ()
(setq E (entsel "Select line near the stationary end: "))
(setq ELST (entget (car E)))
(setq E1 (osnap (cadr E) "end"))
(setq MP (osnap (cadr E) "mid"))
(setq DFT (getreal "\nEnter taper angle in degrees (ccw=+,cw=-): "))
(setq DFT (* DFT (/ PI 180.0)))
(setq ANGL (+ DFT (angle E1 MP)))
(setq D1 (* 2.0 (distance E1 MP)))
(setq D2 (/ D1 (cos DFT)))
(setq C (polar E1 ANGL D2))
(if (equal E1 (cdr (assoc 10 ELST)))
    (progn (setq C (append '(11) C))
           (setq ELST (subst C (assoc 11 ELST) ELST))
           )
    (progn (setq C (append '(10) C))
           (setq ELST (subst C (assoc 10 ELST) ELST))
           )
    )
(entmod ELST)
(command "FILLET" "R" "0")
(command "FILLET")
)
